function[ ] = wtgener_test(n,k)

global wt_vec  W

% wtgener_test(n,k)
%
% Intended to test the weight generation scheme for NBI for > 2 objectives
% n is the number of objectives
% 1/k is the uniform spacing between two w_i (k integral)

% Recursive algorithm, courtesy of Sanjeeb Dash.

if (n>1)
	for i=0:k
	
	   wt_vec(n) = i;
	   wtgener_test(n-1, k-i);

	end
else
	   wt_vec(n) = k;
	   W = [W; wt_vec];
	   
end
	